Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.cwru.SimpleRTS.model.resource
Class ResourceNode

    java.lang.Object
      edu.cwru.SimpleRTS.model.Target
          edu.cwru.SimpleRTS.model.resource.ResourceNode

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceNode

extends Target

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ResourceNode.ResourceView`
`static class` | `ResourceNode.Type`

Field Summary

Fields inherited from class edu.cwru.SimpleRTS.model.Target
`ID, serialVersionUID`

Constructor Summary
`ResourceNode(ResourceNode.Type type, int xPosition, int yPosition, int initialAmount)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getAmountRemaining()`
`int` | `getID()`
`ResourceType` | `getResourceType()`
`ResourceNode.Type` | `getType()`
`ResourceNode.ResourceView` | `getView()`
`int` | `getxPosition()`
`int` | `getyPosition()`
`int` | `hashCode()`
`int` | `reduceAmountRemaining(int amount)`

Methods inherited from class edu.cwru.SimpleRTS.model.Target
`reserveIDsUpTo`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceNode

    public ResourceNode(ResourceNode.Type type,
                        int xPosition,
                        int yPosition,
                        int initialAmount)

Method Detail

### getType

    public ResourceNode.Type getType()

### getView

    public ResourceNode.ResourceView getView()

### getResourceType

    public ResourceType getResourceType()

### getxPosition

    public int getxPosition()

### getyPosition

    public int getyPosition()

### getID

    public int getID()

### getAmountRemaining

    public int getAmountRemaining()

### reduceAmountRemaining

    public int reduceAmountRemaining(int amount)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD